*** /home/paulb/postgresql-7.2/src/interfaces/jdbc/org/postgresql/jdbc2/PreparedStatement.java	Thu Feb 21 16:11:28 2002
--- /home/paulb/Development/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/PreparedStatement.java	Tue Jan 15 02:37:33 2002
***************
*** 46,51 ****
--- 46,54 ----
  
  	/*
  	 * Constructor for the PreparedStatement class.
+ 	 * Split the SQL statement into segments - separated by the arguments.
+ 	 * When we rebuild the thing with the arguments, we can substitute the
+ 	 * args and join the whole thing together.
  	 *
  	 * @param conn the instanatiating connection
  	 * @param sql the SQL statement with ? for IN markers
***************
*** 53,88 ****
  	 */
  	public PreparedStatement(Connection connection, String sql) throws SQLException
  	{
- 		this (connection, sql, true); // need to parse
- 	}
- 
- 	/*
- 	 * Constructor for the PreparedStatement class.
- 	 *
- 	 * @param conn the instanatiating connection
- 	 * @param sql the SQL statement with ? for IN markers
- 	 * @param needsParsing if a descendant (aka CallableStmt will do it's own parse)
- 	 * @exception SQLException if something bad occurs
- 	 */
- 	protected PreparedStatement(Connection connection, String sql, boolean needsParsing) throws SQLException
- 	{
  		super(connection);
- 		this.connection = connection;
- 		this.sql = sql;
- 		if (needsParsing)
- 			parseSqlStmt ();
- 	}
  
- 	/**
- 	 * Split the SQL statement into segments - separated by the arguments.
- 	 * When we rebuild the thing with the arguments, we can substitute the
- 	 * args and join the whole thing together.
- 	 */
- 	protected void parseSqlStmt () throws SQLException {
  		Vector v = new Vector();
  		boolean inQuotes = false;
  		int lastParmEnd = 0, i;
  
  		for (i = 0; i < sql.length(); ++i)
  		{
  			int c = sql.charAt(i);
--- 56,70 ----
  	 */
  	public PreparedStatement(Connection connection, String sql) throws SQLException
  	{
  		super(connection);
  
  		Vector v = new Vector();
  		boolean inQuotes = false;
  		int lastParmEnd = 0, i;
  
+ 		this.sql = sql;
+ 		this.connection = connection;
+ 
  		for (i = 0; i < sql.length(); ++i)
  		{
  			int c = sql.charAt(i);
***************
*** 136,142 ****
  	 * This is identical to toString() except it throws an exception if a
  	 * parameter is unused.
  	 */
! 	protected synchronized String compileQuery()
  	throws SQLException
  	{
  		sbuf.setLength(0);
--- 118,124 ----
  	 * This is identical to toString() except it throws an exception if a
  	 * parameter is unused.
  	 */
! 	private synchronized String compileQuery()
  	throws SQLException
  	{
  		sbuf.setLength(0);
***************
*** 832,838 ****
  	 * @param s a string to be stored
  	 * @exception SQLException if something goes wrong
  	 */
! 	protected void set(int paramIndex, String s) throws SQLException
  	{
  		if (paramIndex < 1 || paramIndex > inStrings.length)
  			throw new PSQLException("postgresql.prep.range");
--- 814,820 ----
  	 * @param s a string to be stored
  	 * @exception SQLException if something goes wrong
  	 */
! 	private void set(int paramIndex, String s) throws SQLException
  	{
  		if (paramIndex < 1 || paramIndex > inStrings.length)
  			throw new PSQLException("postgresql.prep.range");
